Bug 949180 - Evolution hangs on IMAP query after start in Gnome fallback mode
Summary: Evolution hangs on IMAP query after start in Gnome fallback mode
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-06 19:52 UTC by Richard Neumann
Modified: 2015-08-11 05:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 20:29:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Richard Neumann 2013-04-06 19:52:29 UTC
Description of problem:
When logged in using the fallback mode of Gnome 3, Evolution will hang trying to connect to my IMAP server. Canceling the operation brings no success as well as trying to terminate evolution by closing its window.
It can only be stopped using 
$ evolution --force-shutdown
or sending SIGINT (Sending SIGTERM does not suffice).

Version-Release number of selected component (if applicable):
3.6.4

How reproducible:
Force fallback mode in gnome's system settings, then log off.
Log in again and start Evolution and try to receive E-Mails from an IMAP account.

Steps to Reproduce:
1. Force fallback mode in gnome's system settings
2. Log out
3. Start Evolution
4. Receive E-Mails from a remote IMAP account, not having its password stored
  
Actual results:
Evolution infinitely tries to connect to IMAP server.

Expected results:
Query for IMAP Password and receive E-Mail.

Additional info:
This problem does not occur using the gnome shell in default mode or when you already told evolution to remember the IMAP password.
I think that in fallback mode somehow the query for the password is not shown for some reason.

Comment 1 Milan Crha 2013-04-08 09:50:26 UTC
Thanks for a bug report. Evolution uses gnome-keyring for password prompts in 3.6.x, which is provided by gcr, thus I guess the missing password prompt is caused by gcr, or how evolution-data-server handles errors from the gcr.

I have running
   $ /usr/bin/gnome-keyring-daemon --daemonize --login
automatically after login (in fallback mode session). If you do not have it, please try to run it from a console. Otherwise, please try these steps:
a) close (or kill) evolution
b) if there left any evolution process running
   $ ps ax | grep evolution
   then kill them all. I see that 'evolution --force-shutdown' doesn't cover
   background processes anymore, thus it might be the reason. The order in which
   you'll kill the processes might not matter much, though the preferred is:
   - evolution-alarm-notify
   - evolution-*-factory
   - evolution-source-registry
   The last is responsible for password prompts.
c) run evolution (and it'll restart those background processes)
   You should be asked for a password.

I do not know why the password prompt is missing for you, I only recall of some issue on gnome-keyring after login, which seems to be related (I was told so some time ago), I only do not recall precisely what issue it was.

Could you try the above a)-c) steps, please, to verify it'll work? One semi-related upstream bug report would be:
https://bugzilla.gnome.org/show_bug.cgi?id=691276

Comment 2 Kris Buytaert 2013-04-19 20:21:27 UTC
This bug actually depends on #953641  downgrding gcr solved the issue for me ..

Comment 3 Kris Buytaert 2013-04-19 20:46:07 UTC
I`m sorry crowd .. I updated the wrong issue .. I had #950606 open in another window :(

Comment 4 Milan Crha 2013-04-22 09:34:52 UTC
No problem, Kris, but maybe you are right, this can be also related to bug #953641. Richard, could you test what is written there, please?

Comment 5 Karl Ward 2013-09-05 12:15:13 UTC
I had this exact behaviour occur after an install of evolution on Arch. Installing gnome-keyring on Arch solved the problem.

Clearly an issue of packaging dependencies for Arch - but also evolution could do with some nicer behaviour than a hang on absence of gnome-keyring?

Comment 6 Fedora End Of Life 2013-12-21 12:40:55 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2014-02-05 20:29:06 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Richard Neumann 2015-08-10 13:58:38 UTC
Today, after 840 days, I received a reminder via email, that somebody needs additional information regarding this bug from me and has been waiting for this fore more than seven days:

###############################################################################
The following is a list of bugs or attachments to bugs in which a user has been
waiting more than 7 days for a response from you. Please take
action on these requests as quickly as possible. (Note that some of these bugs
might already be closed, but a user is still waiting for your response.)

We'll remind you again in another 7 days if these requests are still
outstanding, or if there are any new requests where users have been waiting
more than 7 days for your response.

needinfo
--------

  Bug 949180: Evolution hangs on IMAP query after start in Gnome fallback mode (840 days old)
    https://bugzilla.redhat.com/show_bug.cgi?id=949180
  
To see all your outstanding requests, visit:
https://bugzilla.redhat.com/request.cgi?action=queue&requestee=mail%40richard-neumann.de&group=type
###############################################################################

Since I assume, that this bug is not of concern any longer and I cannot reproduce this problem because I do not have the respecrive software available any longer, I cannot give any additional information about this issue any more.

Best Regards

Richard

Comment 9 Milan Crha 2015-08-11 05:16:51 UTC
> (Note that some of these bugs might already be closed, but a user is still
> waiting for your response.)

Thanks for the update. I think the system might be better if the above quoted text would not apply for bugs closed by the robot (like the robot should unset the need-info flag too), but that's not a question of this bug report.


Note You need to log in before you can comment on or make changes to this bug.